using System;
using System.Data;
using System.Collections.Generic;
using HySoft.Common;
using HySoft.BaseCallCenter.Model;
namespace HySoft.BaseCallCenter.BLL
{
	/// <summary>
	/// T_Call_WorkOrder
	/// </summary>
	public partial class T_Call_WorkOrder
	{
		private readonly HySoft.BaseCallCenter.DAL.T_Call_WorkOrder dal=new HySoft.BaseCallCenter.DAL.T_Call_WorkOrder();
		public T_Call_WorkOrder()
		{}
		#region  Method

		/// <summary>
		/// 增加一条数据
		/// </summary>
		public bool Add(HySoft.BaseCallCenter.Model.T_Call_WorkOrder model)
		{
			return dal.Add(model);
		}

		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(HySoft.BaseCallCenter.Model.T_Call_WorkOrder model)
		{
			return dal.Update(model);
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete()
		{
			//该表无主键信息，请自定义主键/条件字段
			return dal.Delete();
		}

		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public HySoft.BaseCallCenter.Model.T_Call_WorkOrder GetModel()
		{
			//该表无主键信息，请自定义主键/条件字段
			return dal.GetModel();
		}

		/// <summary>
		/// 得到一个对象实体，从缓存中
		/// </summary>
        //public HySoft.BaseCallCenter.Model.T_Call_WorkOrder GetModelByCache()
        //{
        //    //该表无主键信息，请自定义主键/条件字段
        //    string CacheKey = "T_Call_WorkOrderModel-" ;
        //    object objModel = Maticsoft.Common.DataCache.GetCache(CacheKey);
        //    if (objModel == null)
        //    {
        //        try
        //        {
        //            objModel = dal.GetModel();
        //            if (objModel != null)
        //            {
        //                int ModelCache = Maticsoft.Common.ConfigHelper.GetConfigInt("ModelCache");
        //                Maticsoft.Common.DataCache.SetCache(CacheKey, objModel, DateTime.Now.AddMinutes(ModelCache), TimeSpan.Zero);
        //            }
        //        }
        //        catch{}
        //    }
        //    return (HySoft.BaseCallCenter.Model.T_Call_WorkOrder)objModel;
        //}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			return dal.GetList(strWhere);
		}
		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			return dal.GetList(Top,strWhere,filedOrder);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<HySoft.BaseCallCenter.Model.T_Call_WorkOrder> GetModelList(string strWhere)
		{
			DataSet ds = dal.GetList(strWhere);
			return DataTableToList(ds.Tables[0]);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<HySoft.BaseCallCenter.Model.T_Call_WorkOrder> DataTableToList(DataTable dt)
		{
			List<HySoft.BaseCallCenter.Model.T_Call_WorkOrder> modelList = new List<HySoft.BaseCallCenter.Model.T_Call_WorkOrder>();
			int rowsCount = dt.Rows.Count;
			if (rowsCount > 0)
			{
				HySoft.BaseCallCenter.Model.T_Call_WorkOrder model;
				for (int n = 0; n < rowsCount; n++)
				{
					model = new HySoft.BaseCallCenter.Model.T_Call_WorkOrder();
					if(dt.Rows[n]["F_WORKORDERID"]!=null && dt.Rows[n]["F_WORKORDERID"].ToString()!="")
					{
						model.F_WORKORDERID=int.Parse(dt.Rows[n]["F_WORKORDERID"].ToString());
					}
					if(dt.Rows[n]["CallId"]!=null && dt.Rows[n]["CallId"].ToString()!="")
					{
					model.CallId=dt.Rows[n]["CallId"].ToString();
					}
					if(dt.Rows[n]["F_WORKORDERSTATEID"]!=null && dt.Rows[n]["F_WORKORDERSTATEID"].ToString()!="")
					{
						model.F_WORKORDERSTATEID=int.Parse(dt.Rows[n]["F_WORKORDERSTATEID"].ToString());
					}
					if(dt.Rows[n]["TalkLongTime"]!=null && dt.Rows[n]["TalkLongTime"].ToString()!="")
					{
						model.TalkLongTime=int.Parse(dt.Rows[n]["TalkLongTime"].ToString());
					}
					modelList.Add(model);
				}
			}
			return modelList;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetAllList()
		{
			return GetList("");
		}

		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public int GetRecordCount(string strWhere)
		{
			return dal.GetRecordCount(strWhere);
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
		{
			return dal.GetListByPage( strWhere,  orderby,  startIndex,  endIndex);
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		//public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		//{
			//return dal.GetList(PageSize,PageIndex,strWhere);
		//}

		#endregion  Method
	}
}

